### A free/open-source library for quantitative finance

Public Member Functions
G2Process Class Reference
Stochastic processes

G2 stochastic process More...

`#include <ql/processes/g2process.hpp>`

Inheritance diagram for G2Process:
[legend]

List of all members.

## Public Member Functions

| G2Process (Real a, Real sigma, Real b, Real eta, Real rho)
Real | x0 () const
Real | y0 () const
Real | a () const
Real | sigma () const
Real | b () const
Real | eta () const
Real | rho () const
StochasticProcess interface
Size | size () const
| returns the number of dimensions of the stochastic process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e.,
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e.
Disposable< Array > | expectation (Time t0, const Array &x0, Time dt) const
Disposable< Matrix > | stdDeviation (Time t0, const Array &x0, Time dt) const
Disposable< Matrix > | covariance (Time t0, const Array &x0, Time dt) const

## Detailed Description

G2 stochastic process

## Member Function Documentation

Disposable<Array> expectation | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the expectation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.

Disposable<Matrix> stdDeviation | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the standard deviation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.

Disposable<Matrix> covariance | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the covariance of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.